package depart.frontal.fragments;

import ca.ntro.app.Ntro;
import ca.ntro.app.frontend.ViewFragmentFx;
import javafx.fxml.FXML;
import javafx.scene.control.Label;

public class FragmentA extends ViewFragmentFx {
	
	@FXML
	private Label labelA;

	@FXML
	private Label labelB;

	@Override
	public void initialize() {
		Ntro.assertNotNull(labelA);
		Ntro.assertNotNull(labelB);
	}

	public void methodeA(String paramA) {
		labelA.setText(paramA);
	}

	public void methodeB(int paramB) {
		labelB.setText(String.valueOf(paramB));
	}

}
